package com.union.ai.api.listener;

import com.union.ai.api.aspect.CommonSecurityAspect;
import org.springframework.web.context.ContextLoaderListener;

import javax.servlet.ServletContextEvent;

/**
 * Created by IntelliJ IDEA.
 * Author: xingxin.jing
 * Date: 2019/5/12
 * Time: 下午10:28
 */
public class ContextLoaderListenerExt extends ContextLoaderListener {

    @Override
    public void contextDestroyed(ServletContextEvent event) {
        CommonSecurityAspect.shutdown();
        super.contextDestroyed(event);
    }

}
